Retrieve detailed per-instance-type machine stats for a site

View as Markdown

Returns machine stats for each instance type including allocation details and tenant breakdown.

User must have authorization role with PROVIDER_ADMIN suffix. The specified site must belong to the Provider.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

siteIdstringRequiredformat: "uuid"
ID of the Site

Response

OK
idstringOptionalformat: "uuid"
Unique identifier for the InstanceType
namestringOptional
Name of the InstanceType
assignedMachineStatsobjectOptional
AssignedMachineStats captures the status of all Machines assigned to this Instance Type
allocatedintegerOptional
Number of Machines of this Instance Type allocated to Tenants
maxAllocatableintegerOptional
Number of Ready Machines of this Instance Type available for additional allocation to Tenants
usedMachineStatsobjectOptional
UsedMachineStats captures the usage status of machines assigned to this instance type that are currently associated with Tenant Instances
tenantslist of objectsOptional

Per-tenant breakdown for this instance type

Errors

403
Forbidden Error